org.eclipse.microprofile.opentracing.tck

## Class OpenTracingHTTPPathNameTests.TestConfiguration

- java.lang.Object
- - org.eclipse.microprofile.opentracing.tck.OpenTracingHTTPPathNameTests.TestConfiguration

All Implemented Interfaces:
  org.eclipse.microprofile.config.spi.ConfigSource

Enclosing class:
  OpenTracingHTTPPathNameTests

    public static class OpenTracingHTTPPathNameTests.TestConfiguration
    extends Object
    implements org.eclipse.microprofile.config.spi.ConfigSource

### Field Summary

### Fields inherited from interface org.eclipse.microprofile.config.spi.ConfigSource

`CONFIG_ORDINAL, DEFAULT_ORDINAL`

### Constructor Summary

Constructors
Constructor and Description
`TestConfiguration()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getName()`
`Map<String,String>` `getProperties()`
`Set<String>` `getPropertyNames()`
`String` `getValue(String s)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface org.eclipse.microprofile.config.spi.ConfigSource

`getOrdinal`

### Constructor Detail

#### TestConfiguration

    public TestConfiguration()

### Method Detail

#### getProperties

    public Map<String,String> getProperties()

Specified by:
  `getProperties` in interface `org.eclipse.microprofile.config.spi.ConfigSource`

#### getValue

    public String getValue(String s)

Specified by:
  `getValue` in interface `org.eclipse.microprofile.config.spi.ConfigSource`

#### getName

    public String getName()

Specified by:
  `getName` in interface `org.eclipse.microprofile.config.spi.ConfigSource`

#### getPropertyNames

    public Set<String> getPropertyNames()

Specified by:
  `getPropertyNames` in interface `org.eclipse.microprofile.config.spi.ConfigSource`